Upgrading to Joomla! 2.5 from 1.5

Joomla versions 2.5, 1.7 and 1.6 are all end-of-life since December 31st 2014 and are no longer supported. Please use Joomla 3.x instead.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
thezanny
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Sun Jan 29, 2012 5:14 pm

Upgrading to Joomla! 2.5 from 1.5

Post by thezanny » Sun Jan 29, 2012 5:29 pm

Hello J! Community, it's my first post here. Anyway, I made my site using Joomla 1.5 and worked fine. Installed the Ja Anion Template and it went well too. Thought of upgrading to Joomla! 2.5 since it's new and must be good to use, that's why the team works hard to release it :)

Made a clean install of 2.5 but the Template Ja Anion has some problems. It displays an error about the T3 Network plugin missing or something. The Template version is 1.5 and I assume that it's made for the Joomla! 1.5.

So can't I upgrade to Joomla!2.5? I checked the Joomlart,but says nothing about a new version of the template coming up. How can I upgrade?

User avatar
sog2012
Joomla! Explorer
Joomla! Explorer
Posts: 457
Joined: Fri Feb 11, 2011 1:47 am

Re: Upgrading to Joomla! 2.5 from 1.5

Post by sog2012 » Mon Jan 30, 2012 5:14 am

Good question. I want to know as well. Should I and can I upgrade from 1.5 to 2.5?
Best wishes and God bless.

User avatar
sog2012
Joomla! Explorer
Joomla! Explorer
Posts: 457
Joined: Fri Feb 11, 2011 1:47 am

Re: Upgrading to Joomla! 2.5 from 1.5

Post by sog2012 » Mon Jan 30, 2012 11:48 pm

Anyone?
Best wishes and God bless.

kevlar80
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Tue Jan 31, 2012 11:52 am

Re: Upgrading to Joomla! 2.5 from 1.5

Post by kevlar80 » Tue Jan 31, 2012 11:55 am

i'd also like to know. but am thinking that it may be better to use templates and other extensions which have been created for J2.5? just a thought

Edwin4NOH8
Joomla! Apprentice
Joomla! Apprentice
Posts: 33
Joined: Wed Oct 12, 2011 8:35 pm
Location: Omaha, NE
Contact:

Re: Upgrading to Joomla! 2.5 from 1.5

Post by Edwin4NOH8 » Tue Jan 31, 2012 2:28 pm

Personally I'd stick on 1.5 for a while longer and see if that developer ever comes out with an updated version of the template. If after 30 days they still don't I'd look into another template to use that is compatible with 2.5

2.5 is the new LTS so you should eventually make your way towards it which may mean usually alternative extensions that will work with 2.5

lalili
Joomla! Apprentice
Joomla! Apprentice
Posts: 42
Joined: Fri Apr 02, 2010 3:51 am
Location: Indonesia
Contact:

Re: Upgrading to Joomla! 2.5 from 1.5

Post by lalili » Tue Jan 31, 2012 2:53 pm

@thezanny
As i know Ja Anion has support J.1.7, so you can upgrade your site from Joomla 1.5 to 1.7 and use template 1.7 after upgrade, then after that upgrade to 2.5. The template should be work fine. In my experience, there will be no problem regarding the template if upgrade from 1.5 to 1.7 using Jupgrade then from 1.7 to 2.5 normal upgrade.
I sugguest you to made some test on your local host before apply to live site to avoid any missing code, etc...
have you luck.

@sog2012.
For me i should be upgrade, cause there is so many reason why i have to upgrade, especially for ACL and SEO, in my experience, SEO J.2.5 it much better then 1.5, you can do much more on 2.5 while you still can keep old link that have good serp on google.
There will be no more 404 or dupliate meta when using category blog layout, cause you can do it all from back end.
So its depend on you, you have to think before do it.

Here my site that was upgrade from j1.5 to 1.7 and do normal upgrade to 2.5 (http://www.sulawesi-experience.com), everything goes fine without problem by using T3 Framework

simacu
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Mon Jan 30, 2012 7:55 pm
Location: Columbia
Contact:

Re: Upgrading to Joomla! 2.5 from 1.5

Post by simacu » Tue Jan 31, 2012 8:41 pm

Hello, I'm also thinking about upgrading my site from 1.5 to 2.5. I'm using Multi-Pastell template (by webberry, only available for 1.5 I believe) with RSMonials, Hikashop and Acymailing components and bunch of modules.

Does anyone know of any problems for upgrading any of these components or this template to 2.5?

My site is http://nataliesimakacupuncture.com

thank you for your help.

simacu
Joomla! Apprentice
Joomla! Apprentice
Posts: 8
Joined: Mon Jan 30, 2012 7:55 pm
Location: Columbia
Contact:

Re: Upgrading to Joomla! 2.5 from 1.5

Post by simacu » Tue Jan 31, 2012 8:45 pm

Also, in addition, I've made many modifications to the template. Will that present a problem in converting the site to 2.5?

thanks!

User avatar
sog2012
Joomla! Explorer
Joomla! Explorer
Posts: 457
Joined: Fri Feb 11, 2011 1:47 am

Re: Upgrading to Joomla! 2.5 from 1.5

Post by sog2012 » Wed Feb 01, 2012 9:45 am

Edwin4NOH8 wrote:Personally I'd stick on 1.5 for a while longer5..

Is there going to be a problem using 1.5 for the next 12 months at least? I have a good solid .htaccess file and never had any hacking or security issues. So can I use 1.5 till 2013?
Best wishes and God bless.

User avatar
sog2012
Joomla! Explorer
Joomla! Explorer
Posts: 457
Joined: Fri Feb 11, 2011 1:47 am

Re: Upgrading to Joomla! 2.5 from 1.5

Post by sog2012 » Wed Feb 01, 2012 9:47 am

lalili wrote:@thezanny
As i know Ja Anion has support J.1.7, so you can upgrade your site from Joomla 1.5 to 1.7 ..
How can I upgrade from 1.5 to 1.7? When I use jUpgrade, it goes to 2.5 and not 1.7. what can I do? jUpgrade doesn't give option to do 1.7, it just says 2.5 and does upgrade to 2.5.
Last edited by sog2012 on Wed Feb 01, 2012 9:50 am, edited 1 time in total.
Best wishes and God bless.

User avatar
sog2012
Joomla! Explorer
Joomla! Explorer
Posts: 457
Joined: Fri Feb 11, 2011 1:47 am

Re: Upgrading to Joomla! 2.5 from 1.5

Post by sog2012 » Wed Feb 01, 2012 9:49 am

simacu wrote:Also, in addition, I've made many modifications to the template. Will that present a problem in converting the site to 2.5?

thanks!
My template obviously won't work on 2.5 for when I upgraded to 2.5, the joomla default template was acivated and not my normal template :(
Best wishes and God bless.

lalili
Joomla! Apprentice
Joomla! Apprentice
Posts: 42
Joined: Fri Apr 02, 2010 3:51 am
Location: Indonesia
Contact:

Re: Upgrading to Joomla! 2.5 from 1.5

Post by lalili » Thu Feb 02, 2012 8:14 am

sog2012 wrote:
lalili wrote:@thezanny
As i know Ja Anion has support J.1.7, so you can upgrade your site from Joomla 1.5 to 1.7 ..
How can I upgrade from 1.5 to 1.7? When I use jUpgrade, it goes to 2.5 and not 1.7. what can I do? jUpgrade doesn't give option to do 1.7, it just says 2.5 and does upgrade to 2.5.
Use previous version (com_jupgrade-1.2.4), if you didn't got it, just email me at : dgakiko[at]gmail[dot]com, i'll give the the version of jupgrade that you can upgrade from 1.5 to 1.7.

I suggest you to make some test on local host to make sure the template and your modifications work with 1.7, if there is no error on 1.7 then you can continue to 2.5.
Im also use my template modifications from JA wiht T3 from 1.7 and upgrade manual to 2.5 and till this time i'v never got any problem, all works fine.

User avatar
sog2012
Joomla! Explorer
Joomla! Explorer
Posts: 457
Joined: Fri Feb 11, 2011 1:47 am

Re: Upgrading to Joomla! 2.5 from 1.5

Post by sog2012 » Fri Feb 03, 2012 9:59 pm

lalili wrote:
sog2012 wrote:
lalili wrote:@thezanny
As i know Ja Anion has support J.1.7, so you can upgrade your site from Joomla 1.5 to 1.7 ..
//.
My website when upgraded to 1.7 looks all messed up, I assume this is because my 1.5 template is not compatible with 1.7, and after upgrade the 1.7 default template and graphics are activated and not my 1.5 template.:(
Best wishes and God bless.

aemiller
Joomla! Hero
Joomla! Hero
Posts: 2301
Joined: Sat Aug 29, 2009 3:08 am
Location: Akron PA
Contact:

Re: Upgrading to Joomla! 2.5 from 1.5

Post by aemiller » Fri Feb 03, 2012 11:43 pm

sog2012 - check my response to your post at http://forum.joomla.org/viewtopic.php?f=473&t=692494

Radarz
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Sun Feb 19, 2012 9:28 pm

Re: Upgrading to Joomla! 2.5 from 1.5

Post by Radarz » Sun Feb 19, 2012 9:32 pm

sog2012 wrote:
lalili wrote:@thezanny
As i know Ja Anion has support J.1.7, so you can upgrade your site from Joomla 1.5 to 1.7 ..
Microsoft Points Codes
My website when upgraded to 1.7 looks all messed up, I assume this is because my 1.5 template is not compatible with 1.7, and after upgrade the 1.7 default template and graphics are activated and not my 1.5 template.:(
I had a similar issue with different versions, just try manually installing the security updates instead of patching the whole system!

BTSHOUSTON
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Thu Oct 17, 2013 3:37 pm
Location: Houston, TX
Contact:

Re: Upgrading to Joomla! 2.5 from 1.5

Post by BTSHOUSTON » Fri Oct 18, 2013 4:47 pm

Hi ALL! I'm migrating our Joomla 1.5 to 2.5 using 'Migrate Me' http://www.php-web-design.com/Joomla-Co ... ation.html . I successfully installed SQL server using Xampp, installed phpMyAdmin, and installed Joomla 2.5. However, I can't log into the backend administrator page. It keeps saying:

Strict Standards: Non-static method LoginController::login() should not be called statically in C:\xampp\htdocs\joomla-25\administrator\components\com_login\admin.login.php on line 21

Fatal error: Call to a member function login() on a non-object in C:\xampp\htdocs\joomla-25\administrator\components\com_login\admin.login.php on line 64

For our website http://www.btshouston.com/ , we are currently using:
Joolma version: 1.5.18 Stable
Webserver: Apache/2.2.22
PHP version: 5.3.27

Please advise!

--
Adam G.
Broadcast Technical Services


Locked

Return to “Migrating and Upgrading to Joomla! 2.5”